| Qore DbDataProvider Module Reference 1.0

Public Member Functions | Protected Attributes | List of all members
DbDataProvider::DbTableRecordIterator Class Reference

Defines the record iterator class for Table-based iterators. More...

Inheritance diagram for DbDataProvider::DbTableRecordIterator:
[legend]

## Public Member Functions
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available. More...
Public Member Functions inherited from DbDataProvider::AbstractDbRecordIterator
| constructor (bool release_transaction, AbstractSQLStatement stmt)
| creates the iterator More...
| destructor ()
| rolls back the transaction if a transaction lock was acquired in the constructor and keepTransactionLock() was not called
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available. More...
hash< auto > | getValue ()
| Returns a single record if the iterator is valid. More...
| keepTransactionLock ()
| Ensures that no rollback is performed when the object is destroyed.
bool | next ()
| Increments the row pointer when retrieving rows from a select statement; returns True if there is a row to retrieve, False if not. More...
bool | valid ()
| Returns True if the iterator is valid. More...

## Protected Attributes
AbstractTable | table
| The table being iterated.
Protected Attributes inherited from DbDataProvider::AbstractDbRecordIterator
bool | release_transaction
| release the transaction with a rollback in the destructor?
AbstractSQLStatement | stmt
| the statement being iterated

## Detailed Description

Defines the record iterator class for Table-based iterators.

## Member Function Documentation

## ◆ getRecordType()

*hash<string, AbstractDataField> DbDataProvider::DbTableRecordIterator::getRecordType | ( |  | ) |

Returns the record description, if available.

Returns
  the record type of the iterator